Bug 321378 - Add support for forwarding messages
Summary: Add support for forwarding messages
Status: RESOLVED FIXED
Alias: None
Product: trojita
Classification: Unclassified
Component: Message Composer (show other bugs)
Version: git
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Trojita default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-19 12:59 UTC by Jan Kundrát
Modified: 2014-08-06 08:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kundrát 2013-06-19 12:59:21 UTC
Right now, Trojita can sort-of forward the messages (simply drag a message to an already opened composer window). However, it would be cool to set up e.g. the subject field properly and also to mark the original message as forwarded. In addition to that, it should be able to forward the messages inline in order to workaround the longstanding bug in GMail which just shows an "foo.eml" attachment without any other details.

https://projects.flaska.net/issues/625
Comment 1 Karan Luthra 2014-08-06 08:16:14 UTC
Git commit 0d0c6814a0b3bc863ee9e272b9f1d43b5062d043 by Karan Luthra.
Committed on 20/05/2014 at 05:24.
Pushed by karanluthra into branch 'master'.

Support for forwarding messages as attachments

Allow forwarding of a message as an attachment by means of menu actions.
Forwarding takes care of mangling the subject line and marking the
original message as "$Forwarded".

Thanks to paalsteek for his initial work on this.
REVIEW: 118606

M  +27   -0    src/Composer/MessageComposer.cpp
M  +3    -0    src/Composer/MessageComposer.h
M  +4    -0    src/Composer/Recipients.h
M  +7    -0    src/Composer/SubjectMangling.cpp
M  +1    -0    src/Composer/SubjectMangling.h
M  +26   -1    src/Composer/Submission.cpp
M  +3    -0    src/Composer/Submission.h
M  +24   -0    src/Gui/ComposeWidget.cpp
M  +2    -0    src/Gui/ComposeWidget.h
M  +18   -0    src/Gui/MessageView.cpp
M  +1    -0    src/Gui/MessageView.h
M  +14   -0    src/Gui/Window.cpp
M  +2    -0    src/Gui/Window.h

http://commits.kde.org/trojita/0d0c6814a0b3bc863ee9e272b9f1d43b5062d043
Comment 2 Karan Luthra 2014-08-06 08:21:53 UTC
Forward as Attachment is now available for use in the current git and displays fine on Gmail as well. However, the need for Inline Forwarding isn't ignored, and another feature request for Inline Forwarding support has been filed at https://bugs.kde.org/show_bug.cgi?id=338053 .